Package org.springframework.security.acls.model

# Interface OwnershipAcl

All Superinterfaces:
  `Acl`, `MutableAcl`, `Serializable`

All Known Implementing Classes:
  `AclImpl`

public interface OwnershipAcl extends MutableAcl
A mutable ACL that provides ownership capabilities.

Generally the owner of an ACL is able to call any ACL mutator method, as well as assign a new owner.

## Method Summary

Modifier and Type
Method
Description
`void`
`setOwner(Sid newOwner)`
Changes the present owner to a different owner.

### Methods inherited from interface org.springframework.security.acls.model.Acl

`getEntries, getObjectIdentity, getOwner, getParentAcl, isEntriesInheriting, isGranted, isSidLoaded`

### Methods inherited from interface org.springframework.security.acls.model.MutableAcl

`deleteAce, getId, insertAce, setEntriesInheriting, setParent, updateAce`

## Method Details

### setOwner

void setOwner(Sid newOwner)
Description copied from interface: `MutableAcl`
Changes the present owner to a different owner.

Specified by:
  `setOwner` in interface `MutableAcl`
Parameters:
  `newOwner` - the new owner (mandatory; cannot be null)